Package org.apache.commons.imaging.formats.tiff

## Class TiffImageData.Strips

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.TiffImageData
  - - org.apache.commons.imaging.formats.tiff.TiffImageData.Strips

- Enclosing class:
    TiffImageData

      public static class TiffImageData.Strips
      extends TiffImageData

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.imaging.formats.tiff.TiffImageData

      `TiffImageData.ByteSourceData, TiffImageData.Data, TiffImageData.Strips, TiffImageData.Tiles`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `rowsPerStrip` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Strips​(TiffElement.DataElement[] strips, int rowsPerStrip)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImageDataReader` | `getDataReader​(TiffDirectory directory, PhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int width, int height, int compression, TiffPlanarConfiguration planarConfiguration, ByteOrder byteorder)` |
    `TiffElement.DataElement[]` | `getImageData()` |
    `TiffElement.DataElement` | `getImageData​(int offset)` |
    `int` | `getImageDataLength()` |
    `boolean` | `stripsNotTiles()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rowsPerStrip

          public final int rowsPerStrip

  - ### Constructor Detail

    - #### Strips

          public Strips​(TiffElement.DataElement[] strips,
                        int rowsPerStrip)

  - ### Method Detail

    - #### getImageData

          public TiffElement.DataElement[] getImageData()

      Specified by:
        `getImageData` in class `TiffImageData`

    - #### getImageData

          public TiffElement.DataElement getImageData​(int offset)

    - #### getImageDataLength

          public int getImageDataLength()

    - #### stripsNotTiles

          public boolean stripsNotTiles()

      Specified by:
        `stripsNotTiles` in class `TiffImageData`

    - #### getDataReader

          public ImageDataReader getDataReader​(TiffDirectory directory,
                                               PhotometricInterpreter photometricInterpreter,
                                               int bitsPerPixel,
                                               int[] bitsPerSample,
                                               int predictor,
                                               int samplesPerPixel,
                                               int width,
                                               int height,
                                               int compression,
                                               TiffPlanarConfiguration planarConfiguration,
                                               ByteOrder byteorder)
                                        throws IOException,
                                               ImageReadException

      Specified by:
        `getDataReader` in class `TiffImageData`
      Throws:
        `IOException`
        `ImageReadException`